﻿using System.Collections.ObjectModel;

namespace Data
{
    public class JournalMainteModel : NotificationObject
    {
        public bool HasErrors { get; set; }

        private string code;
        private bool _ischecked ;
        public bool IsChecked
        {
            get { return _ischecked; }
            set
            {
                _ischecked = value;
                RaisePropertyChanged(() => IsChecked);
            }
        }

        public string Code
        {
            get { return code; }
            set
            {
                code = value;
                RaisePropertyChanged(() => Code);
            }
        }

        private string label;

        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                RaisePropertyChanged(() => Label);
            }
        }

        private string description;

        public string Description
        {
            get { return description; }
            set
            {
                description = value;
                RaisePropertyChanged(() => Description);
            }
        }

        private ObservableCollection<JournalMainteModel> journalTermModels = new ObservableCollection<JournalMainteModel>();
        public ObservableCollection<JournalMainteModel> JournalTermModels
        {
            get { return this.journalTermModels; }
            set
            {
                this.journalTermModels = value;
                this.RaisePropertyChanged(() => this.JournalTermModels);
            }
        }
    }

}